import setuptools

import os
## Utility funcs from https://github.com/pypa/sampleproject/blob/master/setup.py
here = os.path.abspath(os.path.dirname(__file__))
# Read the version number from a source file.
# Code taken from pip's setup.py
def find_version(*file_paths):
    import codecs
    import re
    # Open in Latin-1 so that we avoid encoding errors.
    # Use codecs.open for Python 2 compatibility
    with codecs.open(os.path.join(here, *file_paths), 'r', 'latin1') as f:
        version_file = f.read()

    # The version line must have the form
    # __version__ = 'ver'
    version_match = re.search(r"^__version__ = ['\"]([^'\"]*)['\"]",
                              version_file, re.M)
    if version_match:
        return version_match.group(1)
    raise RuntimeError("Unable to find version string.")
#import codecs
#with codecs.open('DESCRIPTION.rst', 'r', 'utf-8') as f:
#    long_description = f.read()

setuptools.setup(
    name="cheesemonger",
    version=find_version("cheesemonger", "__init__.py"),
    packages = ["cheesemonger"],
    install_requires = [
        "venv_tools",
        "virtualenv",
        "distlib",
        "appdirs",
        "logbook",
        ],
    author = "James Tocknell",
    author_email = "aragilar@gmail.com",
    description = "A bunch of tools for manipulating wheels",
#    long_description = long_description,
    license = "BSD",
    keywords = "wheel",
    url = "http://cheesemonger.rtfd.org",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        "Topic :: System :: Shells",
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.6',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.1',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
    ],
    entry_points = {
        'console_scripts': [
            "cm-reculture = cheesemonger.reculture:main",
            "cm-info = cheesemonger.wheel_info:main",
        ],
    },
)
